## kf6-kwidgetsaddons 6.18.0

=== examples/CMakeLists.txt ===
add_subdirectory(kmessagebox)

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Manuel Alcaraz Zambrano <manuelalcarazzam@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

set(bindings_library "KWidgetsAddons")

set(wrapped_header ${CMAKE_SOURCE_DIR}/python/bindings.h)
set(typesystem_file ${CMAKE_SOURCE_DIR}/python/bindings.xml)

set(generated_sources
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kwidgetsaddons_module_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kacceleratormanager_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kactionmenu_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kactionselector_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kanimatedbutton_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kassistantdialog_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kbusyindicatorwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kcapacitybar_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kcharselect_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kcollapsiblegroupbox_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kcolorbutton_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kcolorcombo_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kcolumnresizer_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kcontextualhelpbutton_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kcursor_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kdatecombobox_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kdatepicker_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kdatepickerpopup_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kdatetimeedit_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kdragwidgetdecoratorbase_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kdualaction_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/keditlistwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kfontaction_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kfontchooser_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kfontchooserdialog_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kfontrequester_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kfontsizeaction_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kgradientselector_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kguiitem_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kjobwidgets_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kled_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/klineediteventhandler_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/klineediturldropeventfilter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kmessagebox_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kmessageboxnotifyinterface_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kmessagedialog_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kmessagewidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kmimetypechooser_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kmimetypechooserdialog_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kmimetypeeditor_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kmultitabbar_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kmultitabbarbutton_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kmultitabbartab_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/knewpassworddialog_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/knewpasswordwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpagedialog_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpagemodel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpageview_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpagewidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpagewidgetitem_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpagewidgetmodel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpassword_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpassworddialog_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpasswordlineedit_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpixmapregionselectordialog_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpixmapregionselectorwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpixmapsequence_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpixmapsequenceoverlaypainter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpixmapsequencewidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kpopupframe_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kratingpainter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kratingwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/krecentfilesmenu_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kruler_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kselectaction_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kselector_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kseparator_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ksplittercollapserbutton_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kstandardguiitem_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kstyleextensions_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ksqueezedtextlabel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktimecombobox_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktitlewidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktoggleaction_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktogglefullscreenaction_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktoolbarlabelaction_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktoolbarpopupaction_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktoolbarspaceraction_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktooltipwidget_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktwofingerswipe_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktwofingerswiperecognizer_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktwofingertap_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/ktwofingertaprecognizer_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kurllabel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kviewstateserializer_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KWidgetsAddons/kxyselector_wrapper.cpp)

ecm_generate_python_bindings(
    PACKAGE_NAME ${bindings_library}
    VERSION ${KF_VERSION}
    WRAPPED_HEADER ${wrapped_header}
    TYPESYSTEM ${typesystem_file}
    GENERATED_SOURCES ${generated_sources}
    DEPENDENCIES KF6::WidgetsAddons
    QT_VERSION ${REQUIRED_QT_VERSION}
    HOMEPAGE_URL "https://invent.kde.org/frameworks/kwidgetsaddons"
    ISSUES_URL "https://bugs.kde.org/describecomponents.cgi?product=frameworks-kwidgetsaddons"
    AUTHOR "The KDE Community"
    README ../README.md
)

target_link_libraries(${bindings_library} PRIVATE KF6WidgetsAddons)

execute_process(COMMAND ${Python_EXECUTABLE} -Esc "import sysconfig; print(sysconfig.get_path('platlib', vars={'platbase': '${CMAKE_INSTALL_PREFIX}', 'base': '${CMAKE_INSTALL_PREFIX}'}))" OUTPUT_VARIABLE sysconfig_output)

string(STRIP ${sysconfig_output} PYTHON_INSTALL_DIR)


install(TARGETS ${bindings_library} LIBRARY DESTINATION "${PYTHON_INSTALL_DIR}")

=== examples/kmessagebox/CMakeLists.txt ===

add_executable(kwidgetaddons-example-kmessagebox main.cpp)

target_link_libraries(kwidgetaddons-example-kmessagebox
    Qt6::Widgets
    KF6::WidgetsAddons
)

# We don't want to install the tutorial
#install(TARGETS kwidgetaddons-example-kmessagebox  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kf6-kwidgetsaddons (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Do not build Python-bindings.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:15:34 +0200

=== debian/control ===
Source: kf6-kwidgetsaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons.git
Rules-Requires-Root: no

Package: libkf6widgetsaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 This package contains the translations.

Package: libkf6widgetsaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6widgetsaddons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6widgetsaddons-doc (= ${source:Version}),
Description: development files for kwidgetsaddons
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 Contains development files for kwidgetsaddons.

Package: libkf6widgetsaddons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation for kwidgetsaddons
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6widgetsaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6widgetsaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.

## kf6-kwidgetsaddons 6.18.0+p24.04+vstable+git20250922.0247

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
project(KWidgetsAddons VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)

# Only Linux and FreeBSD CI has the relevant packages
if (ANDROID OR APPLE OR WIN32 OR HAIKU OR NOT BUILD_SHARED_LIBS)
    set(BUILD_PYTHON_BINDINGS OFF)
endif()

if (BUILD_PYTHON_BINDINGS)
    find_package(Python3 3.9 REQUIRED COMPONENTS Interpreter Development)
    find_package(Shiboken6 REQUIRED)
    find_package(PySide6 REQUIRED)
endif()

add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateQDoc)
include(ECMPoQmTools)
include(ECMQtDeclareLoggingCategory)
include(CMakeDependentOption)

set(kwidgetsaddons_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kwidgetsaddons_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KWIDGETSADDONS
                        VERSION_HEADER "${kwidgetsaddons_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6WidgetsAddonsConfigVersion.cmake"
                        SOVERSION 6)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_install_po_files_as_qm(poqm)

configure_file(test-config.h.in ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)

ecm_set_disabled_deprecation_versions(
    QT 6.10
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6WidgetsAddons")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6WidgetsAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6WidgetsAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6WidgetsAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6WidgetsAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF6WidgetsAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6WidgetsAddonsTargets.cmake NAMESPACE KF6:: )

install(FILES
  ${kwidgetsaddons_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KWidgetsAddons COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

if (BUILD_PYTHON_BINDINGS)
    include(ECMGeneratePythonBindings)
    add_subdirectory(python)
endif()

=== debian/changelog ===
kf6-kwidgetsaddons (6.18.0+p24.04+vstable+git20250922.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 02:47:52 +0000

kf6-kwidgetsaddons (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:05:58 +0000

kf6-kwidgetsaddons (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:31:40 +0000

kf6-kwidgetsaddons (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:46:33 +0000

kf6-kwidgetsaddons (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:05:04 +0000

kf6-kwidgetsaddons (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:47:23 +0000

kf6-kwidgetsaddons (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:13:25 +0000

kf6-kwidgetsaddons (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:16:00 +0000

kf6-kwidgetsaddons (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:40:20 +0000

kf6-kwidgetsaddons (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:22:01 +0000

kf6-kwidgetsaddons (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:41:26 +0000

kf6-kwidgetsaddons (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:44:21 +0000

kf6-kwidgetsaddons (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:38:40 +0000

kf6-kwidgetsaddons (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:46:21 +0000

kf6-kwidgetsaddons (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:54:06 +0000

kf6-kwidgetsaddons (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:47:45 +0000

kf6-kwidgetsaddons (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:34:24 +1000

kf6-kwidgetsaddons (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:04:09 +0000

kf6-kwidgetsaddons (6.2.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:28:33 +0000

kf6-kwidgetsaddons (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kwidgetsaddons (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kwidgetsaddons 6.18.0+p24.04+vstable+git20251005.1419

=== debian/changelog ===
kf6-kwidgetsaddons (6.18.0+p24.04+vstable+git20251005.1419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 14:20:06 +0000

## kf6-kwidgetsaddons 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(KWidgetsAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
include(ECMPoQmTools)

add_library(KF6WidgetsAddons)
add_library(KF6::WidgetsAddons ALIAS KF6WidgetsAddons)

set_target_properties(KF6WidgetsAddons PROPERTIES
    VERSION     ${KWIDGETSADDONS_VERSION}
    SOVERSION   ${KWIDGETSADDONS_SOVERSION}
    EXPORT_NAME WidgetsAddons
)

ecm_create_qm_loader(KF6WidgetsAddons kwidgetsaddons6_qt)

target_sources(KF6WidgetsAddons PRIVATE
    common_helpers.cpp
    common_helpers_p.h
    fonthelpers_p.h
    kacceleratormanager.cpp
    kacceleratormanager.h
    kacceleratormanager_p.h
    kactionmenu.cpp
    kactionmenu.h
    kactionselector.cpp
    kactionselector.h
    kadjustingscrollarea.cpp
    kadjustingscrollarea.h
    kanimatedbutton.cpp
    kanimatedbutton.h
    kassistantdialog.cpp
    kassistantdialog.h
    kbusyindicatorwidget.cpp
    kbusyindicatorwidget.h
    kcapacitybar.cpp
    kcapacitybar.h
    kcharselect.cpp
    kcharselectdata.cpp
    kcharselectdata_p.h
    kcharselect.h
    kcharselect_p.h
    kcollapsiblegroupbox.cpp
    kcollapsiblegroupbox.h
    kcolorbutton.cpp
    kcolorbutton.h
    kcolorcombo.cpp
    kcolorcombo.h
    kcolumnresizer.cpp
    kcolumnresizer.h
    kcontextualhelpbutton.cpp
    kcontextualhelpbutton.h
    kcursor.cpp
    kcursor.h
    kcursor_p.h
    kdatecombobox.cpp
    kdatecombobox.h
    kdatepicker.cpp
    kdatepicker.h
    kdatepicker_p.h
    kdatepickerpopup.cpp
    kdatepickerpopup.h
    kdaterangecontrol.cpp
    kdaterangecontrol_p.h
    kdatetable.cpp
    kdatetable_p.h
    kdatetimeedit.cpp
    kdatetimeedit.h
    kdragwidgetdecorator.cpp
    kdragwidgetdecorator.h
    kdualaction.cpp
    kdualaction.h
    kdualaction_p.h
    keditlistwidget.cpp
    keditlistwidget.h
    kfontaction.cpp
    kfontaction.h
    kfontchooser.cpp
    kfontchooserdialog.cpp
    kfontchooserdialog.h
    kfontchooser.h
    kfontrequester.cpp
    kfontrequester.h
    kfontsizeaction.cpp
    kfontsizeaction.h
    kguiitem.cpp
    kguiitem.h
    kled.cpp
    kled.h
    klineediteventhandler.h
    klineediteventhandler.cpp
    kmessagebox.cpp
    kmessageboxdontaskagaininterface.h
    kmessagebox.h
    kmessageboxnotifyinterface.h
    kmessagebox_p.cpp
    kmessagebox_p.h
    kmessagedialog.cpp
    kmessagedialog.h
    kmessagewidget.cpp
    kmessagewidget.h
    kmimetypechooser.cpp
    kmimetypechooser.h
    kmimetypeeditor.cpp
    kmimetypeeditor.h
    kmultitabbar.cpp
    kmultitabbar.h
    kmultitabbar_p.h
    knewpassworddialog.cpp
    knewpassworddialog.h
    knewpasswordwidget.cpp
    knewpasswordwidget.h
    kpagedialog.cpp
    kpagedialog.h
    kpagedialog_p.h
    kpagemodel.cpp
    kpagemodel.h
    kpagemodel_p.h
    kpageview.cpp
    kpageview.h
    kpageview_p.cpp
    kpageview_p.h
    kpagewidget.cpp
    kpagewidget.h
    kpagewidgetmodel.cpp
    kpagewidgetmodel.h
    kpagewidgetmodel_p.h
    kpagewidget_p.h
    kpassword.h
    kpassworddialog.cpp
    kpassworddialog.h
    kpasswordlineedit.cpp
    kpasswordlineedit.h
    kpixmapregionselectordialog.cpp
    kpixmapregionselectordialog.h
    kpixmapregionselectorwidget.cpp
    kpixmapregionselectorwidget.h
    kpixmapsequence.cpp
    kpixmapsequence.h
    kpixmapsequenceoverlaypainter.cpp
    kpixmapsequenceoverlaypainter.h
    kpixmapsequencewidget.cpp
    kpixmapsequencewidget.h
    kpopupframe.cpp
    kpopupframe.h
    kratingpainter.cpp
    kratingpainter.h
    kratingwidget.cpp
    kratingwidget.h
    krecentfilesmenu.cpp
    krecentfilesmenu.h
    kruler.cpp
    kruler.h
    kselectaction.cpp
    kselectaction.h
    kselectaction_p.h
    kselector.cpp
    kselector.h
    kseparator.cpp
    kseparator.h
    ksplittercollapserbutton.cpp
    ksplittercollapserbutton.h
    ksqueezedtextlabel.cpp
    ksqueezedtextlabel.h
    kstandardguiitem.cpp
    kstandardguiitem.h
    kstyleextensions.cpp
    kstyleextensions.h
    ktimecombobox.cpp
    ktimecombobox.h
    ktitlewidget.cpp
    ktitlewidget.h
    ktoggleaction.cpp
    ktoggleaction.h
    ktoggleaction_p.h
    ktogglefullscreenaction.cpp
    ktogglefullscreenaction.h
    ktoolbarlabelaction.cpp
    ktoolbarlabelaction.h
    ktoolbarpopupaction.cpp
    ktoolbarpopupaction.h
    ktoolbarspaceraction.cpp
    ktoolbarspaceraction.h
    ktooltipwidget.cpp
    ktooltipwidget.h
    ktwofingerswipe.cpp
    ktwofingerswipe.h
    ktwofingertap.cpp
    ktwofingertap.h
    kurllabel.cpp # Not good enough quality. Needs to use QUrl instead of QString and should not inherit QLabel, but hold it as a member instead.
    kurllabel.h
    kviewstatemaintainerbase.cpp
    kviewstatemaintainerbase.h
    kviewstateserializer.cpp
    kviewstateserializer.h
    kxyselector.cpp
    kxyselector.h
    klineediturldropeventfilter.cpp
    klineediturldropeventfilter.h
    kjobwidgets.cpp
    kjobwidgets.h

    icons.qrc
)

set(kwidgetsaddons_UI_SRCS)
qt_wrap_ui(kwidgetsaddons_UI_SRCS
   kdatetimeedit.ui
   knewpassworddialog.ui
   knewpasswordwidget.ui
   kpassworddialog.ui
   kfontchooserwidget.ui
)
target_sources(KF6WidgetsAddons PRIVATE ${kwidgetsaddons_UI_SRCS})

ecm_qt_declare_logging_category(KF6WidgetsAddons
    HEADER loggingcategory.h
    IDENTIFIER KWidgetsAddonsLog
    CATEGORY_NAME kf.kwidgetsaddons
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KWidgetsAddons"
    EXPORT KWIDGETSADDONS
)

ecm_generate_export_header(KF6WidgetsAddons
    BASE_NAME KWidgetsAddons
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.5
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_link_libraries(KF6WidgetsAddons PUBLIC Qt6::Widgets)

target_include_directories(KF6WidgetsAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KWidgetsAddons>")

ecm_generate_headers(KWidgetsAddons_HEADERS
  HEADER_NAMES
  KAcceleratorManager
  KAnimatedButton
  KAdjustingScrollArea
  KBusyIndicatorWidget
  KCharSelect
  KCollapsibleGroupBox
  KColorButton
  KColumnResizer
  KContextualHelpButton
  KDateComboBox
  KDatePicker
  KDatePickerPopup
  KDateTimeEdit
  KDragWidgetDecorator
  KDualAction
  KFontAction
  KFontChooser
  KFontChooserDialog
  KFontSizeAction
  KGuiItem
  KLed
  KMessageBox
  KMessageBoxDontAskAgainInterface
  KMultiTabBar,KMultiTabBarButton,KMultiTabBarTab
  KNewPasswordWidget
  KPopupFrame
  KSelectAction
  KStandardGuiItem
  KTimeComboBox
  KUrlLabel
  KCapacityBar
  KFontRequester
  KPasswordDialog
  KRuler
  KRecentFilesMenu
  KSelector,KGradientSelector
  KTitleWidget
  KXYSelector
  KSeparator
  KSqueezedTextLabel
  KToggleAction
  KToggleFullScreenAction
  KViewStateSerializer
  KViewStateMaintainerBase
  KEditListWidget
  KCursor
  KRatingPainter
  KRatingWidget
  KActionSelector
  KColorCombo
  KActionMenu
  KToolBarLabelAction
  KToolBarPopupAction
  KToolBarSpacerAction
  KPageDialog
  KPageModel
  KPageView
  KPageWidget
  KPageWidgetModel,KPageWidgetItem
  KAssistantDialog
  KMessageWidget
  KMessageDialog
  KNewPasswordDialog
  KLineEditUrlDropEventFilter
  KLineEditEventHandler
  KPassword
  KPasswordLineEdit
  KPixmapSequence
  KPixmapSequenceOverlayPainter
  KPixmapSequenceWidget
  KPixmapRegionSelectorDialog
  KPixmapRegionSelectorWidget
  KMimeTypeChooser,KMimeTypeChooserDialog
  KMimeTypeEditor
  KMessageBoxNotifyInterface
  KSplitterCollapserButton
  KStyleExtensions
  KToolTipWidget
  KTwoFingerTap
  KTwoFingerSwipe
  KJobWidgets
  REQUIRED_HEADERS KWidgetsAddons_HEADERS
)

ecm_generate_qdoc(KF6WidgetsAddons kwidgetsaddons.qdocconf)

install(TARGETS KF6WidgetsAddons EXPORT KF6WidgetsAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${KWidgetsAddons_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/kwidgetsaddons_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KWidgetsAddons COMPONENT Devel
)

qt6_add_resources(KF6WidgetsAddons "kcharselect-data"
    PREFIX "/kf6/kcharselect/"
    FILES kcharselect-data
    OUTPUT_TARGETS _rcc_target
)
install(TARGETS ${_rcc_target} EXPORT KF6WidgetsAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

ecm_qt_install_logging_categories(
    EXPORT KWIDGETSADDONS
    FILE kwidgetsaddons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== tests/CMakeLists.txt ===

include(ECMMarkAsTest)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

macro(kwidgetsaddons_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt6::Test KF6::WidgetsAddons)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kwidgetsaddons_executable_tests(
  kanimatedbuttontest
  kbusyindicatorwidgettest
  kcharselecttest
  kcollapsiblegroupboxtest
  kdatecomboboxtestapp
  kdatepicktest
  kdatepickerpopuptest
  kdatetimeedittestapp
  kgradientselectortest
  kledtest
  kmessageboxtest
  kmessageboxwidtest
  kselectactiontest
  kseparatortest
  ksqueezedtextlabeltest
  ktitlewidgettest
  kfontchooserdialogtest
  kfontrequestertest
  kpassworddialogtest
  keditlistwidgettest
  kratingwidgettest
  kactionselectortest
  kcolorcombotest
  kpixmapregionselectordialogtest
  ktoolbarlabelactiontest
  kpagedialogtest
  kpagewidgettest
  kassistantdialogtest
  kmessagewidgettest
  kmessagedialogtest
  knewpassworddialogtest
  knewpasswordwidget_test
  kpixmapsequenceoverlaypaintertest
  kmimetypechoosertest
  ksplittercollapserbuttongui_test
  ktooltipwidget_test
  kpasswordlineedit_test
  ktwofingertap_test
  ktwofingerswipe_test
)

add_executable(kdatetabletest kdatetabletest.cpp ../src/kdatetable.cpp ../src/kdaterangecontrol.cpp)
target_include_directories(kdatetabletest PRIVATE ../src)
target_link_libraries(kdatetabletest Qt6::Widgets)
ecm_mark_as_test(kdatetabletest)

add_executable(kcolumnresizertestapp)
set(kcolumnresizertestapp_UI_SRCS)
qt_wrap_ui(kcolumnresizertestapp_UI_SRCS kcolumnresizertestapp.ui)
target_sources(kcolumnresizertestapp PRIVATE ${kcolumnresizertestapp_UI_SRCS} kcolumnresizertestapp.cpp)
target_link_libraries(kcolumnresizertestapp KF6::WidgetsAddons Qt6::Widgets)
ecm_mark_as_test(kcolumnresizertestapp)

=== debian/changelog ===
kf6-kwidgetsaddons (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:08:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: kf6-kwidgetsaddons
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
 Rules-Requires-Root: no
 
 Package: libkf6widgetsaddons-data
@@ -35,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6widgetsaddons6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6widgetsaddons-doc (= ${source:Version}),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF -DBUILD_DESIGNERPLUGIN=ON -DBUILD_PYTHON_BINDINGS=OFF

override_dh_auto_test:
	# Disable the unittests at build time.
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/kwidgetsaddons-(.*)\.tar\.xz

## kf6-kwidgetsaddons 6.19.0+p24.04+vstable+git20251015.0745

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(KWidgetsAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-kwidgetsaddons (6.19.0+p24.04+vstable+git20251015.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:45:55 +0000

kf6-kwidgetsaddons (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:11:23 +0000

## kf6-kwidgetsaddons 6.19.0+p24.04+vstable+git20251024.0107

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 include(KDEGitCommitHooks)
 include(ECMDeprecationSettings)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
 
 option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)

=== debian/changelog ===
kf6-kwidgetsaddons (6.19.0+p24.04+vstable+git20251024.0107-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:07:14 +0000

## kf6-kwidgetsaddons 6.19.0+p24.04+vunstable+git20251008.1030

=== debian/changelog ===
kf6-kwidgetsaddons (6.19.0+p24.04+vunstable+git20251008.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:30:54 +0000

## kf6-kwidgetsaddons 6.19.0+p24.04+vunstable+git20251015.0848

=== debian/changelog ===
kf6-kwidgetsaddons (6.19.0+p24.04+vunstable+git20251015.0848-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:48:23 +0000

## kf6-kwidgetsaddons 6.19.0+p24.04+vunstable+git20251020.0120

=== debian/changelog ===
kf6-kwidgetsaddons (6.19.0+p24.04+vunstable+git20251020.0120-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:20:21 +0000

## kf6-kwidgetsaddons 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(KWidgetsAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/designer/CMakeLists.txt ===
include(ECMAddQtDesignerPlugin)

ecm_qtdesignerplugin_widget(KActionSelector
    TOOLTIP "A widget for selecting and arranging actions/objects"
    GROUP "Views (KF6)"
)
ecm_qtdesignerplugin_widget(KAnimatedButton
    TOOLTIP "An extended version of QToolButton which can display an animated icon."
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KBusyIndicatorWidget
    TOOLTIP "Busy Indicator (KF6)"
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KCapacityBar
    TOOLTIP "Capacity Bar (KF6)"
    CONSTRUCTOR_ARGS_CODE "(KCapacityBar::DrawTextOutline, parent)"
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KCharSelect
    TOOLTIP "Character Selection Widget (KF6)"
    WHATSTHIS "A widget that allows selecting a character out of a table"
    GROUP "Graphics (KF6)"
)
ecm_qtdesignerplugin_widget(KCollapsibleGroupBox
    TOOLTIP "A group box which can be expanded and collapsed"
    GROUP "Display (KF6)"
    CONTAINER
)
ecm_qtdesignerplugin_widget(KColorButton
    TOOLTIP "Color Chooser Button (KF6)"
    WHATSTHIS "A button that allows selecting a color"
    GROUP "Graphics (KF6)"
)
ecm_qtdesignerplugin_widget(KColorCombo
    TOOLTIP "Color Combo Box (KF6)"
    GROUP "Graphics (KF6)"
)
ecm_qtdesignerplugin_widget(KContextualHelpButton
    TOOLTIP "A button for showing helpful texts (KF6)"
    WHATSTHIS "An icon-only button for showing contextually relevant help or explanations"
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KDatePicker
    TOOLTIP "A date selection widget (KF6)"
    WHATSTHIS "Provides a widget for calendar date input"
    GROUP "Date/Time (KF6)"
)
ecm_qtdesignerplugin_widget(KDateComboBox
    TOOLTIP "This widget can be used to display or edit the date. (KF6)"
    GROUP "Date/Time (KF6)"
)
ecm_qtdesignerplugin_widget(KDateTimeEdit
    TOOLTIP "This widget can be used to display or edit the date and time. (KF6)"
    GROUP "Date/Time (KF6)"
)
ecm_qtdesignerplugin_widget(KEditListWidget
    TOOLTIP "Fullfeatured edit box with buttons (KF6)"
    GROUP "Views (KF6)"
)
ecm_qtdesignerplugin_widget(KFontChooser
    ICON pics/kfontcombo.png
    TOOLTIP "Font Chooser (KF6)"
    WHATSTHIS "A font type, size and style selection widget complete with preview"
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KFontRequester
    TOOLTIP "Font Requester (KF6)"
    WHATSTHIS "A compact font selection and preview widget"
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KGradientSelector
    INCLUDE_FILE kselector.h
    TOOLTIP "Gradient Color Selector (KF6)"
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KLed
    TOOLTIP "LED Widget (KF6)"
    WHATSTHIS "A widget showing a light emitter diode"
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KMessageWidget
    TOOLTIP "Display an information or error message in an animated bubble."
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KMimeTypeChooser
    TOOLTIP "Provides a checkable list of all available MIME types."
    CONSTRUCTOR_ARGS_CODE "(QString(), QStringList(), QString(), QStringList(), KMimeTypeChooser::Comments | KMimeTypeChooser::Patterns, parent)"
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KMultiTabBar
    TOOLTIP "Multi Tab Bar Widget (KF6)"
    WHATSTHIS "A Widget for horizontal and vertical tabs."
    CONSTRUCTOR_ARGS_CODE "(KMultiTabBar::Left, parent)"
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KNewPasswordWidget
    TOOLTIP "A password input widget"
    WHATSTHIS "This widget allows the user to enter a new password."
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KPageView
    TOOLTIP "Paged View (KF6)"
    WHATSTHIS "A base class which can handle multiple pages."
    GROUP "Views (KF6)"
)
ecm_qtdesignerplugin_widget(KPageWidget
    TOOLTIP "Paged Widget (KF6)"
    WHATSTHIS "Page widget with many layouts (faces)."
    GROUP "Views (KF6)"
)
ecm_qtdesignerplugin_widget(KPasswordLineEdit
    TOOLTIP "A Password LineEdit (KF6)"
    WHATSTHIS "A Custom LineEdit which allows to show password"
    GROUP "Input (KF6)"
)
ecm_qtdesignerplugin_widget(KPixmapRegionSelectorWidget
    TOOLTIP "Pixmap Region Selector (KF6)"
    GROUP "Graphics (KF6)"
)
ecm_qtdesignerplugin_widget(KPixmapSequenceWidget
    TOOLTIP "Pixmap Sequence Widget (KF6)"
    WHATSTHIS "A simple widget showing a fixed size pixmap sequence."
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KPopupFrame
    TOOLTIP "Frame with Popup Menu Behavior (KF6)"
    CONTAINER
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KRatingWidget
    TOOLTIP "Rating value display (KF6)"
    WHATSTHIS "Displays a rating as a range of stars or other arbitrary pixmaps."
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KRuler
    TOOLTIP "Measuring Ruler Widget (KF6)"
    WHATSTHIS "A measuring ruler widget as seen in KWord for page widths and heights"
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KSeparator
    TOOLTIP "Standard horizontal or vertical separator."
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KSqueezedTextLabel
    TOOLTIP "A QLabel that squeezes its text (KF6)"
    WHATSTHIS "If the text is too long to fit into the label it is divided into remaining left and right parts which are separated by three dots"
    CONSTRUCTOR_ARGS_CODE "(QStringLiteral(\"KSqueezedTextLabel\"), parent)"
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KTimeComboBox
    TOOLTIP "This widget can be used to display or edit the time. (KF6)"
    GROUP "Date/Time (KF6)"
)
ecm_qtdesignerplugin_widget(KTitleWidget
    TOOLTIP "Title box with label and icon"
    WHATSTHIS "A styled frame to be used in title positions in dialogs and other widgets"
    GROUP "Display (KF6)"
)
ecm_qtdesignerplugin_widget(KUrlLabel
    TOOLTIP "URL Label (KF6)"
    CONSTRUCTOR_ARGS_CODE "(QStringLiteral(\"KUrlLabel\"), QString(), parent)"
    GROUP "Display (KF6)"
)

ecm_add_qtdesignerplugin(kwidgetsaddonswidgets
    NAME KWidgetsAddonsWidgets
    OUTPUT_NAME kwidgetsaddons6widgets
    WIDGETS
        KActionSelector
        KAnimatedButton
        KBusyIndicatorWidget
        KCapacityBar
        KCharSelect
        KCollapsibleGroupBox
        KColorButton
        KColorCombo
        KContextualHelpButton
        KDateComboBox
        KDatePicker
        KDateTimeEdit
        KEditListWidget
        KFontChooser
        KFontRequester
        KGradientSelector
        KLed
        KMessageWidget
        KMimeTypeChooser
        KMultiTabBar
        KNewPasswordWidget
        KPageView
        KPageWidget
        KPasswordLineEdit
        KPixmapRegionSelectorWidget
        KPixmapSequenceWidget
        KPopupFrame
        KRatingWidget
        KRuler
        KSeparator
        KSqueezedTextLabel
        KTimeComboBox
        KTitleWidget
        KUrlLabel
    LINK_LIBRARIES
        KF6::WidgetsAddons
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
)

=== debian/changelog ===
kf6-kwidgetsaddons (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0). (Closes: #1117110)
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:14:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: kf6-kwidgetsaddons
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.19.0~),
+               extra-cmake-modules (>= 6.20.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.8.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons.git
 Rules-Requires-Root: no
 
 Package: libkf6widgetsaddons-data
@@ -36,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6widgetsaddons6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6widgetsaddons-doc (= ${source:Version}),

## kf6-kwidgetsaddons 6.20.0+p24.04+vunstable+git20251204.0112

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(KWidgetsAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-kwidgetsaddons (6.20.0+p24.04+vunstable+git20251204.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:12:26 +0000

kf6-kwidgetsaddons (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:47 +1000

## kf6-kwidgetsaddons 6.20.0+p24.04+vunstable+git20251206.0302

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(KWidgetsAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kwidgetsaddons (6.20.0+p24.04+vunstable+git20251206.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:02:17 +0000

## kf6-kwidgetsaddons 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(KWidgetsAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-kwidgetsaddons (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:49 +0000

kf6-kwidgetsaddons (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kwidgetsaddons
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,14 +10,14 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwidgetsaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwidgetsaddons
 Rules-Requires-Root: no
 
 Package: libkf6widgetsaddons-data
@@ -35,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6widgetsaddons6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6widgetsaddons-doc (= ${source:Version}),

## kf6-kwidgetsaddons 6.21.0+p24.04+vstable+git20251226.0131

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(KWidgetsAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
@@ -61,7 +61,7 @@
 configure_file(test-config.h.in ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10
+    QT 6.11
 )
 
 add_subdirectory(src)
